Index: /branches/OaaS/HeuristicLab 3.3 Hive.Slave.sln
===================================================================
--- /branches/OaaS/HeuristicLab 3.3 Hive.Slave.sln	(revision 8241)
+++ /branches/OaaS/HeuristicLab 3.3 Hive.Slave.sln	(revision 8242)
@@ -17,4 +17,8 @@
 EndProject
 Project("{54435603-DBB4-11D2-8724-00A0C9A8B90C}") = "HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup-3.3", "HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup\HeuristicLab.Clients.Hive.Slave.WindowsServiceSetup.vdproj", "{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}"
+EndProject
+Project("{CC5FD16D-436D-48AD-A40C-5A424C6E3E79}") = "HeuristicLab.Clients.Hive.Slave.Azure", "HeuristicLab.Clients.Hive.Slave.Azure\HeuristicLab.Clients.Hive.Slave.Azure.ccproj", "{BB824120-4F6D-4DD9-B492-618063532515}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Clients.Hive.Slave.AzureClient-3.3", "HeuristicLab.Clients.Hive.Slave.AzureClient\3.3\HeuristicLab.Clients.Hive.Slave.AzureClient-3.3.csproj", "{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}"
 EndProject
 Global
@@ -124,4 +128,20 @@
 		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x86.ActiveCfg = Release
 		{C16CA1A6-7AE8-4B87-A6A6-9C290E8B9646}.Release|x86.Build.0 = Release
+		{BB824120-4F6D-4DD9-B492-618063532515}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BB824120-4F6D-4DD9-B492-618063532515}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{BB824120-4F6D-4DD9-B492-618063532515}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{BB824120-4F6D-4DD9-B492-618063532515}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{BB824120-4F6D-4DD9-B492-618063532515}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{BB824120-4F6D-4DD9-B492-618063532515}.Release|Any CPU.Build.0 = Release|Any CPU
+		{BB824120-4F6D-4DD9-B492-618063532515}.Release|x64.ActiveCfg = Release|Any CPU
+		{BB824120-4F6D-4DD9-B492-618063532515}.Release|x86.ActiveCfg = Release|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Release|Any CPU.Build.0 = Release|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Release|x64.ActiveCfg = Release|Any CPU
+		{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/HeuristicLab.Clients.Hive.Slave.Azure.ccproj
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/HeuristicLab.Clients.Hive.Slave.Azure.ccproj	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/HeuristicLab.Clients.Hive.Slave.Azure.ccproj	(revision 8242)
@@ -0,0 +1,55 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>1.7</ProductVersion>
+    <ProjectGuid>{bb824120-4f6d-4dd9-b492-618063532515}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Clients.Hive.Slave.Azure</RootNamespace>
+    <AssemblyName>HeuristicLab.Clients.Hive.Slave.Azure</AssemblyName>
+    <StartDevelopmentStorage>True</StartDevelopmentStorage>
+    <Name>HeuristicLab.Clients.Hive.Slave.Azure</Name>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <!-- Items for the project -->
+  <ItemGroup>
+    <ServiceDefinition Include="ServiceDefinition.csdef" />
+    <ServiceConfiguration Include="ServiceConfiguration.Local.cscfg" />
+    <ServiceConfiguration Include="ServiceConfiguration.Cloud.cscfg" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\HeuristicLab.Clients.Hive.Slave.AzureClient\3.3\HeuristicLab.Clients.Hive.Slave.AzureClient-3.3.csproj">
+      <Name>HeuristicLab.Clients.Hive.Slave.AzureClient-3.3</Name>
+      <Project>{d0ddc7c9-9215-4325-aa2f-0c4abf809321}</Project>
+      <Private>True</Private>
+      <RoleType>Worker</RoleType>
+      <RoleName>HeuristicLab.Clients.Hive.Slave.AzureClient-3.3</RoleName>
+      <UpdateDiagnosticsConnectionStringOnPublish>True</UpdateDiagnosticsConnectionStringOnPublish>
+    </ProjectReference>
+  </ItemGroup>
+  <!-- Import the target files for this project template -->
+  <PropertyGroup>
+    <VisualStudioVersion Condition=" '$(VisualStudioVersion)' == '' ">10.0</VisualStudioVersion>
+    <CloudExtensionsDir Condition=" '$(CloudExtensionsDir)' == '' ">$(MSBuildExtensionsPath)\Microsoft\VisualStudio\v$(VisualStudioVersion)\Windows Azure Tools\1.7\</CloudExtensionsDir>
+  </PropertyGroup>
+  <Import Project="$(CloudExtensionsDir)Microsoft.WindowsAzure.targets" />
+</Project>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Cloud.cscfg
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Cloud.cscfg	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Cloud.cscfg	(revision 8242)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="utf-8"?>
+<ServiceConfiguration serviceName="HeuristicLab.Clients.Hive.Slave.Azure" xmlns="http://schemas.microsoft.com/ServiceHosting/2008/10/ServiceConfiguration" osFamily="1" osVersion="*" schemaVersion="2012-05.1.7">
+  <Role name="HeuristicLab.Clients.Hive.Slave.AzureClient-3.3">
+    <Instances count="1" />
+    <ConfigurationSettings>
+      <Setting name="Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" value="UseDevelopmentStorage=true" />
+    </ConfigurationSettings>
+  </Role>
+</ServiceConfiguration>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Local.cscfg
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Local.cscfg	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceConfiguration.Local.cscfg	(revision 8242)
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="utf-8"?>
+<ServiceConfiguration serviceName="HeuristicLab.Clients.Hive.Slave.Azure" xmlns="http://schemas.microsoft.com/ServiceHosting/2008/10/ServiceConfiguration" osFamily="1" osVersion="*" schemaVersion="2012-05.1.7">
+  <Role name="HeuristicLab.Clients.Hive.Slave.AzureClient-3.3">
+    <Instances count="1" />
+    <ConfigurationSettings>
+      <Setting name="Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString" value="UseDevelopmentStorage=true" />
+    </ConfigurationSettings>
+  </Role>
+</ServiceConfiguration>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.build.csdef
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.build.csdef	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.build.csdef	(revision 8242)
@@ -0,0 +1,17 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<!--
+  **********************************************************************************************
+
+  This file was generated by a tool from the project file: ServiceDefinition.csdef
+
+  Changes to this file may cause incorrect behavior and will be lost if the file is regenerated.
+
+  **********************************************************************************************
+-->
+<ServiceDefinition name="HeuristicLab.Clients.Hive.Slave.Azure" xmlns="http://schemas.microsoft.com/ServiceHosting/2008/10/ServiceDefinition" schemaVersion="2012-05.1.7">
+  <WorkerRole name="HeuristicLab.Clients.Hive.Slave.AzureClient-3.3" vmsize="Small">
+    <Imports>
+      <Import moduleName="Diagnostics" />
+    </Imports>
+  </WorkerRole>
+</ServiceDefinition>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.csdef
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.csdef	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.Azure/ServiceDefinition.csdef	(revision 8242)
@@ -0,0 +1,8 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<ServiceDefinition name="HeuristicLab.Clients.Hive.Slave.Azure" xmlns="http://schemas.microsoft.com/ServiceHosting/2008/10/ServiceDefinition" schemaVersion="2012-05.1.7">
+  <WorkerRole name="HeuristicLab.Clients.Hive.Slave.AzureClient-3.3" vmsize="Small">
+    <Imports>
+      <Import moduleName="Diagnostics" />
+    </Imports>
+  </WorkerRole>
+</ServiceDefinition>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/Constants.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/Constants.cs	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/Constants.cs	(revision 8242)
@@ -0,0 +1,26 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Clients.Hive.Slave.AzureClient {
+  public static class Constants {
+    public const string DiagnosticsConnectionString = "Microsoft.WindowsAzure.Plugins.Diagnostics.ConnectionString";
+  }
+}
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/HeuristicLab.Clients.Hive.Slave.AzureClient-3.3.csproj
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/HeuristicLab.Clients.Hive.Slave.AzureClient-3.3.csproj	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/HeuristicLab.Clients.Hive.Slave.AzureClient-3.3.csproj	(revision 8242)
@@ -0,0 +1,87 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>8.0.30703</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{D0DDC7C9-9215-4325-AA2F-0C4ABF809321}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Clients.Hive.Slave.AzureClient</RootNamespace>
+    <AssemblyName>HeuristicLab.Clients.Hive.Slave.AzureClient-3.3</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <RoleType>Worker</RoleType>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>..\..\bin\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup>
+    <SignAssembly>true</SignAssembly>
+  </PropertyGroup>
+  <PropertyGroup>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <ItemGroup>
+    <Reference Include="Microsoft.WindowsAzure.Configuration, Version=1.7.0.0, Culture=neutral, processorArchitecture=MSIL">
+      <HintPath>..\packages\Microsoft.WindowsAzure.ConfigurationManager.1.7.0.0\lib\net35-full\Microsoft.WindowsAzure.Configuration.dll</HintPath>
+    </Reference>
+    <Reference Include="Microsoft.WindowsAzure.Diagnostics, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
+    <Reference Include="Microsoft.WindowsAzure.ServiceRuntime, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" />
+    <Reference Include="Microsoft.WindowsAzure.StorageClient, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35, processorArchitecture=MSIL">
+      <HintPath>..\packages\WindowsAzure.Storage.1.7.0.0\lib\net35-full\Microsoft.WindowsAzure.StorageClient.dll</HintPath>
+    </Reference>
+    <Reference Include="System" />
+    <Reference Include="System.Core" />
+    <Reference Include="System.Data.Services.Client" />
+    <Reference Include="System.Xml.Linq" />
+    <Reference Include="System.Data.DataSetExtensions" />
+    <Reference Include="Microsoft.CSharp" />
+    <Reference Include="System.Data" />
+    <Reference Include="System.Xml" />
+  </ItemGroup>
+  <ItemGroup>
+    <Compile Include="Constants.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+    <Compile Include="WorkerRole.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <None Include="app.config" />
+    <None Include="HeuristicLab.snk" />
+    <None Include="packages.config" />
+    <None Include="Properties\AssemblyInfo.cs.frame" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.Clients.Hive.Slave\3.3\HeuristicLab.Clients.Hive.Slave-3.3.csproj">
+      <Project>{989FE92B-484E-41EE-87E2-6A24AF0381D8}</Project>
+      <Name>HeuristicLab.Clients.Hive.Slave-3.3</Name>
+    </ProjectReference>
+  </ItemGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <PropertyGroup>
+    <PreBuildEvent>
+    </PreBuildEvent>
+  </PropertyGroup>
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+</Project>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/Properties/AssemblyInfo.cs.frame	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/Properties/AssemblyInfo.cs.frame	(revision 8242)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Clients.Hive.Slave.AzureClient")]
+[assembly: AssemblyDescription("Azure Worker Role for Hive Slave")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("CECADBCD-FA1F-458B-816F-BC4658362817")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.6.$WCREV$")]
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/WorkerRole.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/WorkerRole.cs	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/WorkerRole.cs	(revision 8242)
@@ -0,0 +1,69 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Net;
+using System.Threading;
+using HeuristicLab.Clients.Hive.SlaveCore;
+using Microsoft.WindowsAzure.Diagnostics;
+using Microsoft.WindowsAzure.ServiceRuntime;
+
+namespace HeuristicLab.Clients.Hive.Slave.AzureClient {
+  public class WorkerRole : RoleEntryPoint {
+    private Core core;
+    private Thread coreThread;
+
+    public override void Run() {
+      core = new Core(false);
+      coreThread = new Thread(core.Start);
+      coreThread.Start();
+
+      while (true) {
+        Thread.Sleep(10000);
+      }
+    }
+
+    public override bool OnStart() {
+      ServicePointManager.DefaultConnectionLimit = 12;
+      //core = new Core();
+      try {
+        if (!String.IsNullOrEmpty(RoleEnvironment.GetConfigurationSettingValue(Constants.DiagnosticsConnectionString))) {
+          DiagnosticMonitorConfiguration dmc = DiagnosticMonitor.GetDefaultInitialConfiguration();
+          dmc.Logs.ScheduledTransferPeriod = TimeSpan.FromMinutes(1);
+          dmc.Logs.ScheduledTransferLogLevelFilter = LogLevel.Verbose;
+          DiagnosticMonitor.Start(Constants.DiagnosticsConnectionString, dmc);
+        }
+      }
+      catch (RoleEnvironmentException ex) {
+        // diagnostics connection string not in configuration
+        // -> diagnostics disabled
+        // nothing more to do
+      }
+
+      return base.OnStart();
+    }
+
+    public override void OnStop() {
+      core.Shutdown();
+      base.OnStop();
+    }
+  }
+}
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/app.config
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/app.config	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/app.config	(revision 8242)
@@ -0,0 +1,47 @@
+﻿<?xml version="1.0" encoding="utf-8" ?>
+<configuration>
+  <system.diagnostics>
+        <trace>
+            <listeners>
+                <add type="Microsoft.WindowsAzure.Diagnostics.DiagnosticMonitorTraceListener, Microsoft.WindowsAzure.Diagnostics, Version=1.7.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35"
+                    name="AzureDiagnostics">
+                    <filter type="" />
+                </add>
+            </listeners>
+        </trace>
+    </system.diagnostics>
+  <system.serviceModel>
+    <behaviors>
+      <endpointBehaviors>
+        <behavior name="HiveBehaviorConfiguration">
+          <dataContractSerializer maxItemsInObjectGraph="2147483647"/>
+        </behavior>
+      </endpointBehaviors>
+    </behaviors>
+    <bindings>
+      <wsHttpBinding>
+        <binding name="wsHttpBinding_Hive" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:20:00" sendTimeout="00:20:00" bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard" maxBufferPoolSize="2147483647" maxReceivedMessageSize="2147483647" messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true" allowCookies="false">
+          <readerQuotas maxDepth="2147483647" maxStringContentLength="2147483647" maxArrayLength="2147483647" maxBytesPerRead="2147483647" maxNameTableCharCount="2147483647" />
+          <reliableSession ordered="true" inactivityTimeout="00:10:00" enabled="false" />
+          <security mode="Message">
+            <transport clientCredentialType="Windows" proxyCredentialType="None" realm="" />
+            <message clientCredentialType="UserName" negotiateServiceCredential="true" algorithmSuite="Default" />
+          </security>
+        </binding>
+      </wsHttpBinding>
+    </bindings>
+    <services>
+      <service name="HeuristicLab.Clients.Hive.SlaveCore.SlaveCommunicationService">
+        <endpoint address="net.pipe://localhost/HeuristicLabSlaveCom" binding="netNamedPipeBinding" contract="HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts.ISlaveCommunication"/>
+      </service>
+    </services>
+    <client>
+      <endpoint name="SlaveCommunicationServiceEndpoint" address="net.pipe://localhost/HeuristicLabSlaveCom" binding="netNamedPipeBinding" contract="HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts.ISlaveCommunication"/>
+      <endpoint address="http://services.heuristiclab.com/Hive-3.3/HiveService.svc" binding="wsHttpBinding" bindingConfiguration="wsHttpBinding_Hive" contract="HeuristicLab.Clients.Hive.IHiveService" name="wsHttpBinding_IHiveService" behaviorConfiguration="HiveBehaviorConfiguration">
+        <identity>
+          <certificate encodedValue="AwAAAAEAAAAUAAAAwK1+2oAmcy/mI2P2QjyiJRh0y60gAAAAAQAAACoCAAAwggImMIIBj6ADAgECAhAIkseQ2EEhgU720qJA61gqMA0GCSqGSIb3DQEBBAUAMCQxIjAgBgNVBAMTGXNlcnZpY2VzLmhldXJpc3RpY2xhYi5jb20wHhcNMTAwNTExMTExNDAyWhcNMzkxMjMxMjM1OTU5WjAkMSIwIAYDVQQDExlzZXJ2aWNlcy5oZXVyaXN0aWNsYWIuY29tMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCq26Bwmwc7k+4W30qLQ2j+FInEL5BuH6opDY6CSlrtt3xQS/anrhvpbf3QghLDVINzcHkzbPmm/SguG4F85QLB6xO+tJaOvRo0iEK5g3c307vMIru7FJwk/OhplEQ5J1hbDgL3zOJlrWlgtqRVxCtVdF3XroI9BctOt1NkeKv9ewIDAQABo1kwVzBVBgNVHQEETjBMgBCjbgdYd4j5JgUuJ1Wo/GxroSYwJDEiMCAGA1UEAxMZc2VydmljZXMuaGV1cmlzdGljbGFiLmNvbYIQCJLHkNhBIYFO9tKiQOtYKjANBgkqhkiG9w0BAQQFAAOBgQAb/2xk2uQad68shSPl/uixWgvFI8WkxOTBopOLaLtDxwCeZ3mWVHdV9VnixHtThubnEBXAhYOCQSIXWtQuXFWO+gH3YyjTRJY5kTmXyuvBRTn3/so5SrQ7Rdlm9hf6E5YVX3tCjAy7ybUyaDUkQfmH5vmvgvpMzRfsJ1qhnUpJiQ=="/>
+        </identity>
+      </endpoint>
+    </client>
+  </system.serviceModel>
+</configuration>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/packages.config
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/packages.config	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave.AzureClient/3.3/packages.config	(revision 8242)
@@ -0,0 +1,5 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<packages>
+  <package id="Microsoft.WindowsAzure.ConfigurationManager" version="1.7.0.0" />
+  <package id="WindowsAzure.Storage" version="1.7.0.0" />
+</packages>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Core.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Core.cs	(revision 8241)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Core.cs	(revision 8242)
@@ -26,5 +26,4 @@
 using System.Threading.Tasks;
 using HeuristicLab.Clients.Hive.SlaveCore.Properties;
-using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
@@ -52,6 +51,11 @@
     private ConfigManager configManager;
     private PluginManager pluginManager;
-
-    public Core() {
+    private bool startClientComService;
+
+    public Core()
+      : this(true) {
+    }
+
+    public Core(bool startClientComService) {
       var log = new ThreadSafeLog(Settings.Default.MaxLogCount);
       this.pluginManager = new PluginManager(WcfService.Instance, log);
@@ -63,4 +67,6 @@
       this.configManager = new ConfigManager(taskManager);
       ConfigManager.Instance = this.configManager;
+
+      this.startClientComService = startClientComService;
     }
 
@@ -73,8 +79,10 @@
 
       try {
-        //start the client communication service (pipe between slave and slave gui)
-        slaveComm = new ServiceHost(typeof(SlaveCommunicationService));
-        slaveComm.Open();
-        
+        if (startClientComService) {
+          //start the client communication service (pipe between slave and slave gui)
+          slaveComm = new ServiceHost(typeof(SlaveCommunicationService));
+          slaveComm.Open();
+        }
+
         // delete all left over task directories
         pluginManager.CleanPluginTemp();
@@ -96,5 +104,6 @@
         }
         ShutdownCore();
-      } finally {
+      }
+      finally {
         DeregisterServiceEvents();
         waitShutdownSem.Release();
@@ -466,6 +475,8 @@
       SlaveClientCom.Close();
 
-      if (slaveComm.State != CommunicationState.Closed)
-        slaveComm.Close();
+      if (startClientComService) {
+        if (slaveComm.State != CommunicationState.Closed)
+          slaveComm.Close();
+      }
     }
 
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/HeuristicLab.Clients.Hive.Slave-3.3.csproj
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/HeuristicLab.Clients.Hive.Slave-3.3.csproj	(revision 8241)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/HeuristicLab.Clients.Hive.Slave-3.3.csproj	(revision 8242)
@@ -128,4 +128,5 @@
   <ItemGroup>
     <Compile Include="Exceptions\TaskFailedException.cs" />
+    <Compile Include="IClientCom.cs" />
     <Compile Include="Manager\ConfigManager.cs" />
     <Compile Include="Exceptions\SerializationException.cs" />
@@ -142,4 +143,5 @@
     <Compile Include="Exceptions\OutOfCoresException.cs" />
     <Compile Include="Exceptions\AppDomainNotCreatedException.cs" />
+    <Compile Include="PipeCom.cs" />
     <Compile Include="SlaveClientCom.cs" />
     <Compile Include="Core.cs" />
@@ -163,4 +165,5 @@
     <Compile Include="SlaveStatusInfo.cs" />
     <Compile Include="StatusCommons.cs" />
+    <Compile Include="TraceCom.cs" />
     <Compile Include="WcfService.cs" />
     <None Include="app.config" />
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/IClientCom.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/IClientCom.cs	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/IClientCom.cs	(revision 8242)
@@ -0,0 +1,29 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
+
+namespace HeuristicLab.Clients.Hive.SlaveCore {
+  public interface IClientCom {
+    ISlaveCommunication GetSlaveCom();
+    void Close();
+  }
+}
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/PipeCom.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/PipeCom.cs	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/PipeCom.cs	(revision 8242)
@@ -0,0 +1,77 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.ServiceModel;
+using HeuristicLab.Clients.Hive.SlaveCore.Properties;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
+
+namespace HeuristicLab.Clients.Hive.SlaveCore {
+  public class PipeCom : IClientCom {
+    private static DuplexChannelFactory<ISlaveCommunication> pipeFactory;
+    private ISlaveCommunication clientCom;
+
+    public PipeCom() {
+      SetupClientCom();
+    }
+
+    public ISlaveCommunication GetSlaveCom() {
+      return clientCom;
+    }
+
+    private void SetupClientCom() {
+      DummyListener dummy = new DummyListener();
+      try {
+        pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(dummy, Settings.Default.SlaveCommunicationServiceEndpoint);
+
+      }
+      catch {
+        EventLogManager.LogMessage("Couldn't create pipe for SlaveClientCom with config!");
+
+        try {
+          pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(dummy, new NetNamedPipeBinding(), new EndpointAddress("net.pipe://localhost/HeuristicLabSlaveCom"));
+        }
+        catch {
+          EventLogManager.LogMessage("Couldn't create pipe for SlaveClientCom with fixed addresse!");
+          return;
+        }
+      }
+      pipeFactory.Faulted += new System.EventHandler(pipeFactory_Faulted);
+
+      ISlaveCommunication pipeProxy = pipeFactory.CreateChannel();
+      clientCom = pipeProxy;
+    }
+
+    void pipeFactory_Faulted(object sender, System.EventArgs e) {
+      EventLogManager.LogMessage("SlaveClientCom just faulted. Trying to repair it...");
+
+      try {
+        pipeFactory.Faulted -= new System.EventHandler(pipeFactory_Faulted);
+        SetupClientCom();
+      }
+      catch { }
+    }
+
+    public void Close() {
+      if (pipeFactory.State != CommunicationState.Closed && pipeFactory.State != CommunicationState.Faulted)
+        pipeFactory.Close();
+    }
+  }
+}
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.Designer.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.Designer.cs	(revision 8241)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.Designer.cs	(revision 8242)
@@ -2,5 +2,5 @@
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:4.0.30319.530
+//     Runtime Version:4.0.30319.269
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
@@ -311,4 +311,16 @@
             }
         }
+        
+        [global::System.Configuration.UserScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.DefaultSettingValueAttribute("Trace")]
+        public global::HeuristicLab.Clients.Hive.SlaveCore.ClientComType ClientComType {
+            get {
+                return ((global::HeuristicLab.Clients.Hive.SlaveCore.ClientComType)(this["ClientComType"]));
+            }
+            set {
+                this["ClientComType"] = value;
+            }
+        }
     }
 }
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.settings
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.settings	(revision 8241)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/Properties/Settings.settings	(revision 8242)
@@ -75,4 +75,7 @@
       <Value Profile="(Default)">-1</Value>
     </Setting>
+    <Setting Name="ClientComType" Type="HeuristicLab.Clients.Hive.SlaveCore.ClientComType" Scope="User">
+      <Value Profile="(Default)">Trace</Value>
+    </Setting>
   </Settings>
 </SettingsFile>
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/SlaveClientCom.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/SlaveClientCom.cs	(revision 8241)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/SlaveClientCom.cs	(revision 8242)
@@ -20,10 +20,11 @@
 #endregion
 
-using System.ServiceModel;
+using System;
 using HeuristicLab.Clients.Hive.SlaveCore.Properties;
 using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
-using System;
 
 namespace HeuristicLab.Clients.Hive.SlaveCore {
+
+  public enum ClientComType { Pipe, Trace };
 
   /// <summary>
@@ -32,5 +33,6 @@
   public class SlaveClientCom {
     private static SlaveClientCom instance;
-    private static DuplexChannelFactory<ISlaveCommunication> pipeFactory;
+    //private static DuplexChannelFactory<ISlaveCommunication> pipeFactory;
+    private static IClientCom clientComInstance;
     public ISlaveCommunication ClientCom { get; set; }
 
@@ -45,4 +47,13 @@
         }
         return instance;
+      }
+    }
+
+    public static IClientCom ClientComInstance {
+      get {
+        if (clientComInstance != null) {
+          return clientComInstance;
+        }
+        throw new NullReferenceException("No instance of SlaveClientCom<T>");
       }
     }
@@ -67,42 +78,18 @@
 
     private SlaveClientCom() {
-      SetupClientCom();
-    }
+      ClientComType type = Settings.Default.ClientComType;
+      if (type == ClientComType.Pipe) {
+        clientComInstance = new PipeCom();
+      } else if (type == ClientComType.Trace) {
+        clientComInstance = new TraceCom();
+      } else {
+        throw new InvalidStateException("Invalid client communication type");
+      }
 
-    private void SetupClientCom() {
-      DummyListener dummy = new DummyListener();
-      try {
-        pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(dummy, Settings.Default.SlaveCommunicationServiceEndpoint);
-      }
-      catch {
-        EventLogManager.LogMessage("Couldn't create pipe for SlaveClientCom with config!");
-
-        try {
-          pipeFactory = new DuplexChannelFactory<ISlaveCommunication>(dummy, new NetNamedPipeBinding(), new EndpointAddress("net.pipe://localhost/HeuristicLabSlaveCom"));
-        }
-        catch {
-          EventLogManager.LogMessage("Couldn't create pipe for SlaveClientCom with fixed addresse!");
-          return;
-        }
-      }
-      pipeFactory.Faulted += new System.EventHandler(pipeFactory_Faulted);
-
-      ISlaveCommunication pipeProxy = pipeFactory.CreateChannel();
-      ClientCom = pipeProxy;
-    }
-
-    void pipeFactory_Faulted(object sender, System.EventArgs e) {
-      EventLogManager.LogMessage("SlaveClientCom just faulted. Trying to repair it...");
-
-      try {
-        pipeFactory.Faulted -= new System.EventHandler(pipeFactory_Faulted);
-        SetupClientCom();
-      }
-      catch { }
+      ClientCom = clientComInstance.GetSlaveCom();
     }
 
     public static void Close() {
-      if (pipeFactory.State != CommunicationState.Closed && pipeFactory.State != CommunicationState.Faulted)
-        pipeFactory.Close();
+      ClientComInstance.Close();
     }
   }
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/TraceCom.cs
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/TraceCom.cs	(revision 8242)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/TraceCom.cs	(revision 8242)
@@ -0,0 +1,97 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Diagnostics;
+using HeuristicLab.Clients.Hive.SlaveCore.ServiceContracts;
+
+namespace HeuristicLab.Clients.Hive.SlaveCore {
+
+  /// <summary>
+  /// Class for writing the client communication to Trace
+  /// </summary>
+  public class TraceCom : IClientCom {
+    private ISlaveCommunication clientCom;
+
+    public TraceCom() {
+      clientCom = new TraceSlaveCommunication();
+    }
+
+    public ISlaveCommunication GetSlaveCom() {
+      return clientCom;
+    }
+
+    public void Close() {
+      // Nothing to do here ...
+    }
+
+    #region Private Class
+    private class TraceSlaveCommunication : ISlaveCommunication {
+
+      public TraceSlaveCommunication() {
+
+      }
+
+      public StatusCommons Subscribe() {
+        Trace.WriteLine("Subscribe");
+        return new StatusCommons();
+      }
+
+      public bool Unsubscribe() {
+        Trace.WriteLine("Unsubscribe");
+        return false;
+      }
+
+      public void Restart() {
+        Trace.WriteLine("Restart");
+      }
+
+      public void Sleep() {
+        Trace.WriteLine("Sleep");
+      }
+
+      public void PauseAll() {
+        Trace.WriteLine("PauseAll");
+      }
+
+      public void StopAll() {
+        Trace.WriteLine("StopAll");
+      }
+
+      public void AbortAll() {
+        Trace.WriteLine("AbortAll");
+      }
+
+      public void LogMessage(string message) {
+        Trace.WriteLine(message);
+      }
+
+      public void StatusChanged(StatusCommons status) {
+        Trace.WriteLine("StatusChanged: " + status);
+      }
+
+      public void Shutdown() {
+        Trace.WriteLine("Shutdown");
+      }
+    }
+
+    #endregion
+  }
+}
Index: /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/app.config
===================================================================
--- /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/app.config	(revision 8241)
+++ /branches/OaaS/HeuristicLab.Clients.Hive.Slave/3.3/app.config	(revision 8242)
@@ -9,9 +9,7 @@
     <gcServer enabled="true" />
   </runtime>
-
   <startup>
     <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/>
   </startup>
- 
   <system.serviceModel>
     <behaviors>
@@ -122,4 +120,7 @@
         <value>-1</value>
       </setting>
+      <setting name="ClientComType" serializeAs="String">
+        <value>Trace</value>
+      </setting>
     </HeuristicLab.Clients.Hive.SlaveCore.Properties.Settings>
   </userSettings>
